
PENGADIAN EMAS - Bug #14869

ANDROID[EMAS][REGISTRATION] Registration Unsuccessful ###8931

23 November 2022 02:46 PM - yap chekying

Status: Closed Start date: 23 November 2022

Priority: Urgent Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Registration failed

UID : UATEMAS102

Password : Mbi123456

Android Version : 12

 8931.png 

History

#1 - 23 November 2022 02:47 PM - yap chekying

- Subject changed from ANDROID[EMAS][REGISTRATION] Registration Unsuccessful to ANDROID[EMAS][REGISTRATION] Registration

Unsuccessful ###8931

#2 - 23 November 2022 03:06 PM - santhosh Krishna

- Assignee changed from santhosh Krishna to aiman baharum

Currently displaying incorrect errorMessage.

Below is the response BE passing : {

"responseCode": "99",

"responseMessage": "Mandatory information not available please go to the nearest branch to update",

"responseData": {

"title": "Your Gold Registration and Gold Purchase Was Unsuccessful",

"trxDate": "23 Nov 2022, 09:59:46",

"refNo": "I0001238084",

"accountNo": "8003928869",

"accountName": "U Transaction Account",

"product": "Emas",

"agent": "Pegadaian",

"goldPrice": "906000.0",

"totalGold": "0.5519",

"totalGoldPrice": "500000.00",

"fee": "5000",

"totalAmount": "505000.0",

"pawnshopNo": "1231231231",

"pawnshopOutlet": "outlet",

"status": false,

"retry": false

}

}
#3 - 23 November 2022 06:08 PM - aiman baharum

- Assignee changed from aiman baharum to yap chekying

- % Done changed from 0 to 100

#5 - 24 November 2022 01:34 PM - yap chekying

- Status changed from New to Resolved

- Assignee changed from yap chekying to rifqi mulyana

#6 - 24 November 2022 04:16 PM - rifqi mulyana

- File 1.png added

- File 2.png added

- Status changed from Resolved to Assigned

- Assignee changed from rifqi mulyana to aiman baharum

Retest 24 November

Actual result

get "Mandatory information not available please go to the nearest branch to update"

#7 - 24 November 2022 04:16 PM - aiman baharum

- % Done changed from 100 to 0

#8 - 24 November 2022 04:18 PM - aiman baharum

- % Done changed from 0 to 100

code commit: 2724cc0af2d1a20eaaba68816ddfac6c940e86a8

pending build

#9 - 24 November 2022 11:35 PM - aiman baharum

- Assignee changed from aiman baharum to rifqi mulyana

- % Done changed from 100 to 0

#10 - 25 November 2022 04:37 PM - rifqi mulyana

- File 2.jpeg added

- Status changed from Assigned to Pending Close

- Assignee changed from rifqi mulyana to yap chekying

Retest 25 Nov

Actual Result:

Copywriting is already the same as in wireframe

#11 - 29 November 2022 01:48 PM - rifqi mulyana

- File Tap-Coba-Lagi.mp4 added

- File Register.mp4 added

- Status changed from Pending Close to Assigned
- Assignee changed from yap chekying to aiman baharum

Issue:

1. Acknowledgement screen did not show an error pop up

2. Go to TAC Screecn when tap "Coba Lagi"

Expected Result:

1. Should show error pop up on screen

2. Tap Coba Lagi should not show TAC

#12 - 29 November 2022 01:50 PM - rifqi mulyana

- Assignee changed from aiman baharum to Hao Ter Tai

#13 - 29 November 2022 05:31 PM - Hao Ter Tai

- % Done changed from 0 to 100

#14 - 29 November 2022 07:14 PM - Hao Ter Tai

- Assignee changed from Hao Ter Tai to yap chekying

#15 - 30 November 2022 11:59 AM - yap chekying

- Assignee changed from yap chekying to rifqi mulyana

#16 - 30 November 2022 02:11 PM - rifqi mulyana

- File error pop up.jpeg added

- Status changed from Assigned to Pending Close

Retest 30 November

Issue:

1. Acknowledgement screen did not show an error pop up

2. Go to TAC Screecn when tap "Coba Lagi"

Expected Result:

1. Should show error pop up on screen

2. Tap Coba Lagi should not show TAC

Actual Result:

1. Error popup already show when failed to register

2. Dont get the "Coba lagi" button (based on the error message, the "Coba lagi" button should not display

#17 - 05 December 2022 12:56 PM - yap chekying

- Assignee changed from rifqi mulyana to yap chekying
#18 - 08 December 2022 11:55 AM - yap chekying

- Status changed from Pending Close to Closed

Closed by MBI

Files

8931.png 445 KB 23 November 2022 yap chekying

1.png 48.6 KB 24 November 2022 rifqi mulyana

2.png 50.1 KB 24 November 2022 rifqi mulyana

2.jpeg 38.7 KB 25 November 2022 rifqi mulyana

Tap-Coba-Lagi.mp4 4.1 MB 29 November 2022 rifqi mulyana

Register.mp4 3.88 MB 29 November 2022 rifqi mulyana

error pop up.jpeg 41.3 KB 30 November 2022 rifqi mulyana
